Package com.google.android.exoplayer2.metadata

## Interface Metadata.Entry

- All Superinterfaces:
    `Parcelable`
  All Known Implementing Classes:
    `ApicFrame`, `AppInfoTable`, `BinaryFrame`, `ChapterFrame`, `ChapterTocFrame`, `CommentFrame`, `EventMessage`, `FakeMetadataEntry`, `GeobFrame`, `HlsTrackMetadataEntry`, `IcyHeaders`, `IcyInfo`, `Id3Frame`, `InternalFrame`, `MdtaMetadataEntry`, `MlltFrame`, `MotionPhotoMetadata`, `PictureFrame`, `PrivateCommand`, `PrivFrame`, `SlowMotionData`, `SmtaMetadataEntry`, `SpliceCommand`, `SpliceInsertCommand`, `SpliceNullCommand`, `SpliceScheduleCommand`, `TextInformationFrame`, `TimeSignalCommand`, `UrlLinkFrame`, `VorbisComment`, `VorbisComment`
  Enclosing class:
    Metadata

      public static interface Metadata.Entry
      extends Parcelable

  A metadata entry.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default byte[]` | `getWrappedMetadataBytes()` | Returns the bytes of the wrapped metadata in this Entry, or null if it doesn't contain wrapped metadata.
    `default Format` | `getWrappedMetadataFormat()` | Returns the `Format` that can be used to decode the wrapped metadata in `getWrappedMetadataBytes()`, or null if this Entry doesn't contain wrapped metadata.
    `default void` | `populateMediaMetadata​(MediaMetadata.Builder builder)` | Updates the `MediaMetadata.Builder` with the type-specific values stored in this `Entry`.

    - ### Methods inherited from interface android.os.Parcelable

      `describeContents, writeToParcel`

- - ### Method Detail

    - #### getWrappedMetadataFormat

          @Nullable
          default Format getWrappedMetadataFormat()

      Returns the `Format` that can be used to decode the wrapped metadata in `getWrappedMetadataBytes()`, or null if this Entry doesn't contain wrapped metadata.

    - #### getWrappedMetadataBytes

          @Nullable
          default byte[] getWrappedMetadataBytes()

      Returns the bytes of the wrapped metadata in this Entry, or null if it doesn't contain wrapped metadata.

    - #### populateMediaMetadata

          default void populateMediaMetadata​(MediaMetadata.Builder builder)

      Updates the `MediaMetadata.Builder` with the type-specific values stored in this `Entry`.
      Parameters:
        `builder` - The builder to be updated.